/*
 * JSyntaxTokenDivisor.java
 *
 * Created on 28 ottobre 2007, 20.43
 *
 */

package jsyntax;

import java.util.Collection;

/**
 *
 * @author dario
 */
public class JSyntaxTokenDivisorManager {
    
    private char[] tokens;
    
    /** Creates a new instance of JSyntaxTokenDivisor */
    public JSyntaxTokenDivisorManager(Collection<Character> tokens) {
        this.tokens = new char[tokens.size()];   
        int i = 0;
        for(Character c : tokens) {
               this.tokens[i] = c.charValue();
               i++;
        }
    }
  
    
    /** Control if a given character c is a token divisor */
    public boolean isTokenDivisor(char c) {     
        for(char cc : this.tokens) {         
            if(cc == c) {       
                return true;
            }
        }
        return false;
    }
    
}
